Subject: RE: Reference model for H-VPLS node

From: "VISSERS Maarten" <[email-masked]>
Date: Wed, 12 Dec 2007 18:24:09 +0100

Olen,

I made the following reference model for this figure 2, assuming the
there are VPLSs between the MTU and the PE-rs. I have included all PW's
that terminate in the PE1-rs and PE3-rs nodes; i.e. also PW-12 and
PW-23.

                                     PW-23-|
                               |-PW-12     |
             |--- PW-1 ---|    ||- PW-13 -||    |--- PW-3 ---|
   Emulated  |            |    ||         ||    |            |
    LAN      |            |    ||         ||    |            |
   .....................................................................
   .         |            |    ||         ||    |            |         .
   . |-------|-----|  |---|----||---| |---||----|---|  |-----|-------| .
   . | ----------- |  | ----- ----- | | ----- ----- |  | ----------- | .
   . |     VPLS    |  | VPLS| |VPLS | | VPLS| |VPLS |  |     VPLS    | .
   . |  Forwarder  |  | Fwdr| |Fwdr | | Fwdr| |Fwdr |  |  Forwarder  | .
   . | -----|----- |  | --|-- --|-- | | --|-- --|-- |  | -----|----- | .
   ..|.................................................|................
     |      |      |  |   |     |   | |   |     |   |  |      |      |
     |      |      |  |   |     |   | |   |     |   |  |      |      |
     | -----|----- |  | --|-----|-- | | --|-----|-- |  | -----|----- |
     | |         | |  | |         | | | |         | |  | |         | |
     | | Bridge  | |  | | Bridge  | | | | Bridge  | |  | | Bridge  | |
     | |         | |  | |         | | | |         | |  | |         | |

         MTU1-s            PE1-rs          PE3-rs           MTU3-s

					FIGURE A

In your model, you assume that there are no VPLSs present between MTU
and PE-rs. This would then result in the following model (Figure B), in
which also the PW-12 and PW-23 are included.

                                     PW-23-|
                               |-PW-12     |
             |--- PW-1 ---|    ||- PW-13 -||    |--- PW-3 ---|
   Emulated  |            |    ||         ||    |            |
    LAN      |            |    ||         ||    |            |
   .....................................................................
   .         |            |    ||         ||    |            |         .
   . |-------|-----|  |---|----||---| |---||----|---|  |-----|-------| .
   . |       |     |  |   |   ----- | | -----   |   |  |     |       | .
   . |       |     |  |   |   |VPLS | | VPLS|   |   |  |     |       | .
   . |       |     |  |   |   |Fwdr | | Fwdr|   |   |  |     |       | .
   . |       |     |  |   |   --|-- | | --|--   |   |  |     |       | .
   ..|.................................................|................
     |       |     |  |   |     |   | |   |     |   |  |     |       |
     |       |     |  |   |     |   | |   |     |   |  |     |       |
     | ------|---- |  | --|-----|-- | | --|-----|-- |  | ----|------ |
     | |         | |  | |         | | | |         | |  | |         | |
     | | Bridge  | |  | | Bridge  | | | | Bridge  | |  | | Bridge  | |
     | |         | |  | |         | | | |         | |  | |         | |

         MTU1-s            PE1-rs          PE3-rs           MTU3-s

					FIGURE B

The Bridge and VPLS Forwarder functions are in terms of 802.1Q part of
the MAC Relay function. We have to consider now the different VPLS
modes: tree-structured and full-mesh. 

In tree-structured mode the VPLS Forwarder has only 1 PW associated with
the in/output port it has with the bridge function; it essentially
becomes a null function and can be omitted, as is done in the case of
PW-1 and PW-3.

In full-mesh mode the VPLS Forwarder provides a split-horizon
functionality, which is similar to the MAC Relay functionality specified
for "Asymmetric-VLANs in Shared VLAN Learning (SVL) mode" as specified
in clause B.1.3/802.1Q.

For a full-mesh VPLS, the 802.1Q MAC Relay function combines the regular
any-to-any MAC forwarding within the (Independent VLAN Learning (IVL)
mode) VLAN with the "Asymmetric-VLANs in SVL mode". I.e. some of the
ports of the VLAN on this MAC RElay (encompassing the bridge and VPLS
Forwarder functionality) are more special (split-horizon) than other
ports of the VLAN.

>From an 802.1Q/ag perspective, this will then result in the following
location of Ethernet MEPs and MIPs (see Figure C), assuming that the
MTU-s's have a MEP at MD Level 4. Consequently, the Ethernet MIPs that
are located between the PW and Bridge (PW-1, PW-3), or the PW and the
VPLS Forwarder (PW-12,PW-13,PW-23) are also having MD Level 4.

                                     PW-23-|
                               |-PW-12     |
             |--- PW-1 ---|    ||- PW-13 -||    |--- PW-3 ---|
   Emulated  |            |    ||         ||    |            |
    LAN      |            |    ||         ||    |            |
   .....................................................................
   . |-------|-----|  |---|----||---| |---||----|---|  |-----|-------| .
     |  MIP X MD   |  |MD X MIPXX MD| |MD XXMIP X MD|  | MIP X MD    |
     |      | L4   |  |L4 |    || L4| |L4 ||    | L4|  |     | L4    |
     |      |      |  |   |    ||   | |   ||    |   |  |     |       |
   . |      |      |  |   |    ||   | |   ||    |   |  |     |       |
.
   . |      |      |  |   |   ----- | | -----   |   |  |     |       | .
   . |      |      |  |   |   |VPLS | | VPLS|   |   |  |     |       | .
   . |      |      |  |   |   |Fwdr | | Fwdr|   |   |  |     |       | .
   . |      |      |  |   |   --|-- | | --|--   |   |  |      |      | .
   ..|.................................................|................
     |      |      |  |   |     |   | |   |     |   |  |      |      |
     |      |      |  |   |     |   | |   |     |   |  |      |      |
     | -----|----- |  | --|-----|-- | | --|-----|-- |  | -----|----- |
     | |         | |  | |         | | | |         | |  | |         | |
     | | Bridge  | |  | | Bridge  | | | | Bridge  | |  | | Bridge  | |
     | |         | |  | |         | | | |         | |  | |         | |
     | |    |    | |  | |         | | | |         | |  | |    |    | |
     | |MEP X MD | |  | |         | | | |         | |  | |MEP X MD | |
     | |    | L4 | |  | |         | | | |         | |  | |    | L4 | |
 
         MTU-1s           PE1-rs           PE3-rs          MTU-3s

					FIGURE C

>From an 802.1Q perspective, the set of PWs within a MPLS tunnel that
carry VPLS (i.e. VLAN) signals constitute a virtual bridge port. Such
virtual bridge port has an 802.1Q EISS SAP with the VPLS Forwarder
fucntion (as it is part of the MAC Relay). Over this EISS SAP flows
EM_UNITDATA.indication and EM_UNITDATA.request information.

The endpoint of the set of PWs provide from an 802.1Q perspective a
"support of the EISS" function. Such function adds in a pure 802.1Q
environment a VLAN Tag or a Backbone Service Instance Tag, while in the
hybrid 802.1Q/MPLS environment it adds a PW label to carry the
EM_UNITDATA.request information over the MPLS tunnel.

In this model, the MPLS PW label stack entry provides from the viewpoint
of the 802.1Q environment a Tag which has a 20-bit "vlan identifier" (to
carry the EM_UNITDATA.request.vlan_identifier parameter information) and
a 3-bit "priority code point" (to carry the EM_UNITDATA.request.priority
and EM_UNITDATA.request.drop_eligible parameter information. From the
MPLS environment viewpoint, the PW label provides a 20-bit label and a
3-bit EXP field carrying PHB information.

In this model, the VPLS looks from the 802.1Q viewpoint a VLAN with a
"MPLS Label Stack Entry based VLAN Tag" (i.e. an "M-VLAN Tag" or
"M-Tag").

As the PW label value for every PW in the VPLS may be different, and as
the PW label value between MTU-s and PE-rs may be different, the 802.1Q
equivalent model of the VPLS contains a "VID Translation Table" function
as specified in 802.1ad.

In this model, the MPLS tunnels provide point-to-point virtual interface
ports between MAC Relay functions. 

----------------

There is a second 802.1Q equivalent model possible for VPLS. In this
model each PW endpoint provides a virtual bridge port supporting a
single (untagged) VLAN. The interconnect between the PW endpoint and the
VPLS Forwarder/Bridge function is then an ISS SAP and M_UNITDATA.request
and M_UNITDATA.indication information is passed over it.

The 1-to-1 nature of the VLAN-PW relationship allows to carry the VLAN
untagged. In such case the M_UNITDATA.request.priority and
M_UNITDATA.request.drop_eligible information is either dropped (no means
to carry it), or is carried via the PW label (note that in this case the
PW label is not longer performing the "M-Tag" function).

It is obvious that the number of virtual bridge ports in this second
model will be much larger than in the first model. From the 802.1Q
environment viewpoint there will now be many parallel virtual links
between two adjacent MAC Relay functions. This seems more complex then
the first model.

Regards,
Maarten

-------- Originele bericht --------
Onderwerp: 	Reference model for H-VPLS node
Datum: 	Wed, 12 Dec 2007 06:12:42 -0800
Van: 	Olen Stokes <[email-masked]>
Aan: 	[email-masked]

There was significant discussion at the last IETF about the correct
reference model to be used when discussing OAM for a H-VPLS node.  For
the H-VPLS network in Figure 2 of
draft-stokes-l2vpn-cfm-vccv-oam-00.txt, the reference model described in
that draft is shown below in Figure A:

         |--- PW-1 ----|  |--- PW-13 ----|  |---- PW-3 ----|
Emulated |             |  |              |  |              |
LAN      |             |  |              |  |              |
....................................................................
.        |             |  |              |  |              |       .
.|-------|-----|  |----|--|-----|  |-----|--|----|  |------|------|.
.| ----------- |  | ----------- |  | ----------- |  | ----------- |.
.|     VPLS    |  |     VPLS    |  |     VPLS    |  |    VPLS     |.
.|  Forwarder  |  |  Forwarder  |  |  Forwarder  |  |  Forwarder  |.
.| ------|---- |  | -----|----- |  | -----|----- |  | -----|----- |.
.|.............|..|................|................................
 |       |     |  |      |      |  |      |      |  |      |      |
 |       |     |  |      |      |  |      |      |  |------|------|
 | ------|---- |  | -----|----- |  | -----|----- |  | -----|----- |
 | |         | |  | |         | |  | |         | |  | |         | |
 | | Bridge  | |  | | Bridge  | |  | |  Bridge | |  | |  Bridge | |
 | |         | |  | |         | |  | |         | |  | |         | |
 | |  |      | |  | |         | |  | |         | |  | |      |  | |
 | ---|------- |  | ----------- |  | ----------- |  | -------|--- |
|----|--------|  |-------------|  |-------------|  |--------|----|
      |                                                      |
      |                                                      |
     CE-1                                                  CE-3

     MTU1-s            PE1-rs           PE3-rs           MTU3-s

     Figure A: H-VPLS node using only VPLS Forwarder connections

An alternative model based on
http://www3.ietf.org/proceedings/04nov/slides/l2vpn-9.pdf is shown below
in Figure B:

                          |--- PW-13 ----|
                Emulated  |              |
                 LAN      |              |
                ....................................
                .         |              |         .
                . |-------|-----|  |-----|-------| .
                . | ----------- |  | ----------- | .
                . |     VPLS    |  |     VPLS    | .
                . |  Forwarder  |  |  Forwarder  | .
                . | -----|----- |  | -----|----- | .
                ..|................|................
                  |      |      |  |      |      |
 |-------------|  |      |      |  |      |      |  |-------------|
 | ----------- |  | -----|----- |  | -----|----- |  | ----------- |
 | |         | |  | |         | |  | |         | |  | |         | |
 | |  Bridge | |  | | Bridge  | |  | |  Bridge | |  | |  Bridge | |
 | |         | |  | |         | |  | |         | |  | |         | |
 | |  |   *  | |  | |    *    | |  | |    *    | |  | |  *   |  | |
 | ---|---|--- |  | -----|----- |  | -----|----- |  | ---|---|--- |
|----|---|----|  |------|------|  |------|------|  |----|---|----|
      |   |              |                |              |   |
      |   |---- PW-1 ----|                |----- PW-3 ---|   |
     CE-1                                                  CE-3

     MTU1-s            PE1-rs           PE3-rs           MTU3-s

Note: "*" = emulated bridge port

    Figure B: H-VPLS node using emulated bridge port connections

Please note that Figure B is my interpretation of Ali's charts from his
November, 2004 presentation.

There are definite implications based on the differences of the two
models.
The VPLS forwarder only model in Figure A treats a H-VPLS network with
PW access the same as a simple full mesh VPLS network.  The bridge model
sees a single emulated LAN interface to the (H)VPLS network and
therefore is not concerned with the structure of that (H)VPLS network.  

The emulated bridge port model treats a H-VPLS network with PW access
the same as a H-VPLS network with Ethernet access.  In effect, it
"separates"
the network into a full mesh VPLS emulated LAN and individual access
networks that can be PW or Ethernet.  This "separation" is a result of
the presence of the bridge module between these connections.

One difference from an OAM perspective is that the emulated bridge port
model allows 802.1ag MPs to be associated with PW access connections
such as
PW-1 in Figure B above. 

There may be implications to other protocols such as spanning tree.  In
the emulated bridge port model, PW-1 is seen by the bridge module and
could be considered separately should the bridge module in PE1-rs
participate in spanning tree.  However, in the VPLS forwarder only
model, only the single emulated LAN would be included in spanning tree. 

As I said during the L2 VPN meeting, I believe that choosing the correct
reference model is a decision to be made by the working group.
Therefore, please use the mailing list to state your views on the
correct reference model to be used for a H-VPLS node.

Cheers,
Olen

---

From: Jeremy Brayley <[email-masked]>
Date: Wed, 12 Dec 2007 15:13:03 -0500

Maarten,

> -----Original Message-----
> From: VISSERS Maarten [mailto:[email-masked]] 
> Sent: Wednesday, December 12, 2007 12:24 PM
> To: Olen Stokes
> Cc: [email-masked]
> Subject: RE: Reference model for H-VPLS node
> 
> Olen,
> 
> I made the following reference model for this figure 2, 
> assuming the there are VPLSs between the MTU and the PE-rs. I 
> have included all PW's that terminate in the PE1-rs and 
> PE3-rs nodes; i.e. also PW-12 and PW-23.
> 
>                                      PW-23-|
>                                |-PW-12     |
>    .         |            |    ||         ||    |            
> |         .
> In your model, you assume that there are no VPLSs present 
> between MTU and PE-rs. This would then result in the 
> following model (Figure B), in which also the PW-12 and PW-23 
> are included.
> 
>                                      PW-23-|
>                                |-PW-12     |
>    .         |            |    ||         ||    |            
> |         .
> The Bridge and VPLS Forwarder functions are in terms of 
> 802.1Q part of the MAC Relay function. We have to consider 
> now the different VPLS
> In tree-structured mode the VPLS Forwarder has only 1 PW 
> associated with the in/output port it has with the bridge 
> function; it essentially becomes a null function and can be 
> omitted, as is done in the case of
> PW-1 and PW-3.
> 
> functionality, which is similar to the MAC Relay 
> functionality specified for "Asymmetric-VLANs in Shared VLAN 
> Learning (SVL) mode" as specified in clause B.1.3/802.1Q.
> 
> For a full-mesh VPLS, the 802.1Q MAC Relay function combines 
> the regular any-to-any MAC forwarding within the (Independent 
> VLAN Learning (IVL)
> mode) VLAN with the "Asymmetric-VLANs in SVL mode". I.e. some 
> of the ports of the VLAN on this MAC RElay (encompassing the 
> bridge and VPLS Forwarder functionality) are more special 
> (split-horizon) than other ports of the VLAN.
> 
> location of Ethernet MEPs and MIPs (see Figure C), assuming 
> that the MTU-s's have a MEP at MD Level 4. Consequently, the 
> Ethernet MIPs that are located between the PW and Bridge 
> (PW-1, PW-3), or the PW and the VPLS Forwarder 
> (PW-12,PW-13,PW-23) are also having MD Level 4.
> 
>                                      PW-23-|
>                                |-PW-12     |
> carry VPLS (i.e. VLAN) signals constitute a virtual bridge 
> port. Such virtual bridge port has an 802.1Q EISS SAP with 
> the VPLS Forwarder fucntion (as it is part of the MAC Relay). 
> Over this EISS SAP flows EM_UNITDATA.indication and 
> EM_UNITDATA.request information.

For clarification...you are saying the "set of PWs within a MPLS tunnel"
constitute a virtual bridge port.  That means the tunnel to a single PE
right (i.e to a single remote VPLS forwarder)?  And it would have
multiple PWs on it only if it supported multiple VPLSs. 

>From the placement of the MIPs it looks like the VPLS forwarder treats
each tunnel to a PE as a separate virtual port.

Or do you mean that the set of PWs to all PEs consititute a port?

Thanks,

Jeremy

> The endpoint of the set of PWs provide from an 802.1Q 
> perspective a "support of the EISS" function. Such function 
> adds in a pure 802.1Q environment a VLAN Tag or a Backbone 
> Service Instance Tag, while in the hybrid 802.1Q/MPLS 
> environment it adds a PW label to carry the 
> In this model, the MPLS PW label stack entry provides from 
> the viewpoint of the 802.1Q environment a Tag which has a 
> 20-bit "vlan identifier" (to carry the 
> EM_UNITDATA.request.vlan_identifier parameter information) 
> and a 3-bit "priority code point" (to carry the 
> EM_UNITDATA.request.priority and 
> EM_UNITDATA.request.drop_eligible parameter information. From 
> the MPLS environment viewpoint, the PW label provides a 
> 20-bit label and a 3-bit EXP field carrying PHB information.
> 
> In this model, the VPLS looks from the 802.1Q viewpoint a 
> VLAN with a "MPLS Label Stack Entry based VLAN Tag" (i.e. an 
> "M-VLAN Tag" or "M-Tag").
> 
> As the PW label value for every PW in the VPLS may be 
> different, and as the PW label value between MTU-s and PE-rs 
> may be different, the 802.1Q equivalent model of the VPLS 
> contains a "VID Translation Table" function as specified in 802.1ad.
> 
> In this model, the MPLS tunnels provide point-to-point 
> virtual interface ports between MAC Relay functions. 
> 
> ----------------
> 
> There is a second 802.1Q equivalent model possible for VPLS. 
> In this model each PW endpoint provides a virtual bridge port 
> supporting a single (untagged) VLAN. The interconnect between 
> the PW endpoint and the VPLS Forwarder/Bridge function is 
> then an ISS SAP and M_UNITDATA.request and 
> M_UNITDATA.indication information is passed over it.
> 
> The 1-to-1 nature of the VLAN-PW relationship allows to carry 
> the VLAN untagged. In such case the 
> M_UNITDATA.request.priority and 
> M_UNITDATA.request.drop_eligible information is either 
> dropped (no means to carry it), or is carried via the PW 
> label (note that in this case the PW label is not longer 
> performing the "M-Tag" function).
> 
> It is obvious that the number of virtual bridge ports in this 
> second model will be much larger than in the first model. 
> From the 802.1Q environment viewpoint there will now be many 
> parallel virtual links between two adjacent MAC Relay 
> functions. This seems more complex then the first model.
> 
> Regards,
> Maarten
> 
> 
> 
> There was significant discussion at the last IETF about the 
> correct reference model to be used when discussing OAM for a 
> H-VPLS node.  For the H-VPLS network in Figure 2 of 
> draft-stokes-l2vpn-cfm-vccv-oam-00.txt, the reference model 
> described in that draft is shown below in Figure A:
> 
> http://www3.ietf.org/proceedings/04nov/slides/l2vpn-9.pdf is 
> shown below in Figure B:
> 
>                           |--- PW-13 ----|
>                 Emulated  |              |
>                  LAN      |              |
> Please note that Figure B is my interpretation of Ali's 
> charts from his November, 2004 presentation.
> 
> There are definite implications based on the differences of 
> the two models.
> The VPLS forwarder only model in Figure A treats a H-VPLS 
> network with PW access the same as a simple full mesh VPLS 
> network.  The bridge model sees a single emulated LAN 
> interface to the (H)VPLS network and therefore is not 
> concerned with the structure of that (H)VPLS network.  
> 
> The emulated bridge port model treats a H-VPLS network with 
> PW access the same as a H-VPLS network with Ethernet access.  
> In effect, it "separates"
> the network into a full mesh VPLS emulated LAN and individual 
> access networks that can be PW or Ethernet.  This 
> "separation" is a result of the presence of the bridge module 
> between these connections.
> 
> One difference from an OAM perspective is that the emulated 
> bridge port model allows 802.1ag MPs to be associated with PW 
> access connections such as
> PW-1 in Figure B above. 
> 
> There may be implications to other protocols such as spanning 
> tree.  In the emulated bridge port model, PW-1 is seen by the 
> bridge module and could be considered separately should the 
> bridge module in PE1-rs participate in spanning tree.  
> However, in the VPLS forwarder only model, only the single 
> emulated LAN would be included in spanning tree. 
> 
> As I said during the L2 VPN meeting, I believe that choosing 
> the correct reference model is a decision to be made by the 
> working group.
> Therefore, please use the mailing list to state your views on 
> the correct reference model to be used for a H-VPLS node.
> 
> Cheers,
> Olen
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
>

---

From: "VISSERS Maarten" <[email-masked]>
Date: Fri, 14 Dec 2007 12:59:32 +0100

Jeremy,

> For clarification...you are saying the "set of PWs within a
> MPLS tunnel" constitute a virtual bridge port.  That means
> the tunnel to a single PE right (i.e to a single remote VPLS
> forwarder)?  

Yes, it is the set of PWs within a single MPLS tunnel between two PEs. 
If there are n PEs at the edge of a tunnel domain (e.g. a core domain),
then there are n-1 MPLS tunnels on a PE, and thus n-1 virtual bridge
ports.

> And it would have multiple PWs on it only if it supported
> multiple VPLSs. 

Yes, each virtual bridge port and its associated MPLS tunnel has one PW
for every VPLS instance connected to it.

> From the placement of the MIPs it looks like the VPLS forwarder
> treats each tunnel to a PE as a separate virtual port.

Yes, each MPLS tunnel between the local PE and a remote PE is treated as
a separate virtual bridge port.

> Or do you mean that the set of PWs to all PEs consititute a port?

No.

-------

It may be helpful to clarify the above with a figure, assuming the local
node is PE1. PE1 is connected with PE2,PE3 and PE4 via a full mesh of
MPLS tunnels. PE1 is connected with a single MPLS tunnel to PE5 (PE5 is
not connected to PE2/3/4) and with another MPLS tunnel to MTU1.
PE1/2/3/4 will deploy full-mesh VPLSs, while PE1/PE5 and PE1/MTU1 deploy
tree-structured VPLSs.

The Brdige function has ports to VPLS Forwarders and ports to virtual
bridge ports. The VPLS Forwarders have ports to one or more virtual
bridge ports.

The Bridge function and VPLS Forwarders are part of the MAC Relay
function.

 .............................................................
 .                           MAC Relay                       .
 . --------------------------------------------------------- .
 . |              Bridge  with VLAN/VPLS instances         | .
 . --------------------------------------------------------- .
 .      |                 |            ||||       |||||      .
 . -----------       -----------       ||||       |||||      .
 . |  VPLS   | ....  |  VPLS   |       ||||       |||||      .
 . |Forwarder|       |Forwarder|       ||||       |||||      .
 . -----------       -----------       ||||       |||||      .
 .    /\\            ____/\            ||||       |||||      .
 .   /  \\__________/_____ \           ||||       |||||      .
 .   |   \______    |     \ \          ||||       |||||      .
 .   |          \   |      \|          ||||       |||||      .
 ....|||||......|||||......||||........||||.......|||||.......
     |||||EISS  |||||EISS  ||||EISS    ||||EISS   |||||EISS
     |||||      |||||      ||||        ||||       |||||     ^
   ---------  ---------  ---------   ---------  ---------   |
   |virtual|  |virtual|  |virtual|   |virtual|  |virtual| VLANs
   |bridge |  |bridge |  |bridge |   |bridge |  |bridge |
   |port   |  |port   |  |port   |   |port   |  |port   | PWs
   ---------  ---------  ---------   ---------  ---------  |
      |           |          |           |          |      V
   --------   --------   --------    --------   -------- 
   | MPLS |   | MPLS |   | MPLS |    | MPLS |   | MPLS |
   |Tunnel|   |Tunnel|   |Tunnel|    |Tunnel|   |Tunnel|
   | MEP  |   | MEP  |   |  MEP |    | MEP  |   | MEP  |
   --------   --------   --------    --------   --------
      |          |          |            |          |
    to PE2     to PE3     to PE4      to PE5    to MTU1

Regards,
Maarten

-----Original Message-----
From: Jeremy Brayley [mailto:[email-masked]] 
Sent: woensdag 12 december 2007 21:13
To: VISSERS Maarten; Olen Stokes
Cc: [email-masked]
Subject: RE: Reference model for H-VPLS node

Maarten,

> there are VPLSs between the MTU and the PE-rs. I have included all 
> PW's that terminate in the PE1-rs and PE3-rs nodes; i.e. also PW-12 
> and PW-23.
> 
>                                      PW-23-|
>                                |-PW-12     |
> and PE-rs. This would then result in the following model (Figure B), 
> in which also the PW-12 and PW-23 are included.
> 
>                                      PW-23-|
>                                |-PW-12     |

> In tree-structured mode the VPLS Forwarder has only 1 PW associated 
> with the in/output port it has with the bridge function; it 
> essentially becomes a null function and can be omitted, as is done in 
> the case of
> PW-1 and PW-3.
> 
> functionality, which is similar to the MAC Relay functionality 
> specified for "Asymmetric-VLANs in Shared VLAN Learning (SVL) mode" as

> specified in clause B.1.3/802.1Q.
> 
> For a full-mesh VPLS, the 802.1Q MAC Relay function combines the 
> regular any-to-any MAC forwarding within the (Independent VLAN 
> Learning (IVL)
> Forwarder functionality) are more special

> VPLS Forwarder
> fucntion (as it is part of the MAC Relay).

Thanks,

Jeremy

> environment a VLAN Tag or a Backbone Service Instance Tag, while in 
> the hybrid 802.1Q/MPLS environment it adds a PW label to carry the 
> In this model, the MPLS PW label stack entry provides from the 
> viewpoint of the 802.1Q environment a Tag which has a 20-bit "vlan 
> identifier" (to carry the EM_UNITDATA.request.vlan_identifier 
> parameter information) and a 3-bit "priority code point" (to carry the

> EM_UNITDATA.request.priority and EM_UNITDATA.request.drop_eligible 
> parameter information. From the MPLS environment viewpoint, the PW 
> label provides a 20-bit label and a 3-bit EXP field carrying PHB 
> information.
> 
> As the PW label value for every PW in the VPLS may be different, and 
> as the PW label value between MTU-s and PE-rs may be different, the 
> 802.1Q equivalent model of the VPLS contains a "VID Translation Table"

> function as specified in 802.1ad.
> 
> In this model, the MPLS tunnels provide point-to-point virtual 
> interface ports between MAC Relay functions.
> 
> ----------------
> 
> supporting a single (untagged) VLAN. The interconnect between the PW 
> endpoint and the VPLS Forwarder/Bridge function is then an ISS SAP and

> M_UNITDATA.request and M_UNITDATA.indication information is passed 
> over it.
> 

> M_UNITDATA.request.drop_eligible information is either dropped (no 
> means to carry it), or is carried via the PW label (note that in this 
> case the PW label is not longer performing the "M-Tag" function).
> 
> model will be much larger than in the first model.
> From the 802.1Q environment viewpoint there will now be many parallel 
> virtual links between two adjacent MAC Relay functions. This seems 
> more complex then the first model.
> 
> Regards,
> Maarten
> 
> 
> 

> draft-stokes-l2vpn-cfm-vccv-oam-00.txt, the reference model described 
> in that draft is shown below in Figure A:
> 
> http://www3.ietf.org/proceedings/04nov/slides/l2vpn-9.pdf is shown 
> below in Figure B:
> 
>                           |--- PW-13 ----|
>                 Emulated  |              |
>                  LAN      |              |
> Please note that Figure B is my interpretation of Ali's charts from 
> his November, 2004 presentation.
> 

> PW access the same as a simple full mesh VPLS network.  The bridge 
> model sees a single emulated LAN interface to the (H)VPLS network and 
> the same as a H-VPLS network with Ethernet access.

> One difference from an OAM perspective is that the emulated bridge 
> port model allows 802.1ag MPs to be associated with PW access 
> connections such as
> PW-1 in Figure B above. 
> 
> There may be implications to other protocols such as spanning tree.  
> In the emulated bridge port model, PW-1 is seen by the bridge module 
> and could be considered separately should the bridge module in PE1-rs 
> participate in spanning tree.
> However, in the VPLS forwarder only model, only the single emulated 
> LAN would be included in spanning tree.
> 
> As I said during the L2 VPN meeting, I believe that choosing the 
> correct reference model is a decision to be made by the working group.